package kr.co.uplus.ez.api.attractMgt.dto;

import kr.co.uplus.ez.common.data.ApiResponseCode;
import kr.co.uplus.ez.common.data.ResponseMessage;
import lombok.Data;

import java.io.Serializable;

@SuppressWarnings("serial")
@Data
public class ChannelListExcelResDto extends ResponseMessage implements Serializable {

	// 데이터.
	private ChannelListExcelRes data;

	public ChannelListExcelResDto() {
		this.retCode = ApiResponseCode.SUCCESS.getResultCode();
		this.retMsg = ApiResponseCode.SUCCESS.getResultMsg();
	}

	public ChannelListExcelResDto(ApiResponseCode returnStr) {
		this.retCode = returnStr.getResultCode();
		this.retMsg = returnStr.getResultMsg();
	}

	public ChannelListExcelResDto(ApiResponseCode returnStr, ChannelListExcelRes data) {
		this.retCode = returnStr.getResultCode();
		this.retMsg = returnStr.getResultMsg();
		this.data = data;
	}
}
